flex-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From OmPrakash Muppirala <bigosma...@gmail.com>
Subject Re: Developing on Linux
Date Tue, 18 Jun 2013 18:00:53 GMT
On Tue, Jun 18, 2013 at 10:41 AM, Tom Chiverton <tom@rachaelandtom.info>wrote:

> On Monday 17 June 2013 21:32:13 Justin Mclean wrote:
> > Hi,
> >
> > All yours. It's needs some improvements/documentation but it should now
> > work. It currently downloading the OSX binary but that work out of the
> box
> > on linux so should be no issues.
> >
> > Justin
>
> $ git rebase
> Current branch develop is up to date.
> falken@wopr:~/workspace/flex-utilities/installer$ ant build -
> DFLEX_HOME=/home/falken/Documents/packages/apache-flex-sdk-4.9.1-bin-and-
> dobeAIRSDK-2.6 -DAIR_HOME=/home/falken/Documents/packages/AdobeAIRSDK-2.6
> .
> .
> .
>
> packageair:
>      [echo] Using cert temp.p12
>      [java] /home/falken/workspace/flex-
> utilities/installer/src/InstallApacheFlex-app.xml: error 102: Invalid
> namespace http://ns.adobe.com/air/application/3.4
>
> BUILD FAILED
> /home/falken/workspace/flex-utilities/installer/build.xml:285: Java
> returned:
> 12
>
> as far as I know, you can't use a newer name space with an older AIR SDK ?
>
>
That is correct.  You want to do some ant jujitsu to change the namespace
to 2.6 upon detection of Linux OS.  Take a look at the target :
"update-version-in-xml-files"  (in the same build.xml) for an example of
how to do a search and replace.

Thanks,
Om

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message